import {httpApi} from "../../request/httpApi";

export default {
    //获取分页
    async getPage(form, msg = true) {
        return httpApi({
            url: '/api/blade-control/contractInfo/getPage',
            method: 'get',
            params: form
        }, msg);
    },
    //获取详情
    async getContractInfoById(form, msg = true) {
        return httpApi({
            url: '/api/blade-control/contractInfo/getContractInfoById',
            method: 'get',
            params: form
        }, msg);
    },
    //获取合同类型字典
    async getContractTypeDict(form, msg = true) {
        return httpApi({
            url: '/api/blade-control/contractInfo/getContractTypeDict',
            method: 'get',
            params: form
        }, msg);
    },
    //获取未被关联的任务
    async getNoConnectionProject(form, msg = true) {
        return httpApi({
            url: '/api/blade-control/contractInfo/getNoConnectionProject',
            method: 'get',
            params: form
        }, msg);
    },
    //获取合同回款里程碑
    async getListByContractId(form, msg = true) {
        return httpApi({
            url: '/api/blade-control/contractReturnedInfo/getListByContractId',
            method: 'get',
            params: form
        }, msg);
    },
}
